<script setup lang="ts">
import { invoice_columns } from "./columns";
import BasicDescriptions from "/@/components/BasicDescriptions";

defineProps<{ detail: Record<string, string>; }>();
</script>

<template>
  <BasicDescriptions
    v-if="Object.keys(detail || {}).length !== 0"
    :columns="invoice_columns"
    label-width="130"
    :col-number="1"
    :data="detail"
  />
</template>
